Subject: Re: Memory exhaustion issues

From: Sergey Matveev <[email-masked]>
Date: Tue, 10 Sep 2024 09:50:46 +0300

Greetings!

Ok, I agreed that if we can give job tokens taking the depth/priority in
consideration, then your idea should work. Currently that is not
possible easily, because there is single pipe, where job tokens is a
single byte and who catches its first -- it will start the next job.
Some kind of centralised arbiter will be required, that will know about
each awaiting job (and its depth/priority) and will distribute job
tokens not randomly.

Seems to be not a hard task and seems that even compatibility to Make's
jobserver should not be broken. Will try to look and implement that on a
weekend, but not sure about free time.

Thanks for suggestion!

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A